#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'rekanan.identitas_title'}
#{/set}

<ul class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}" >&{'rekanan.home'}</a></li>
	<li class="active">&{'rekanan.data_penyedia'}</li>
</ul>

#{menuDataPenyedia /}
<div class="content">
#{alert /}
  #{form @rekanan.MigrasiSikapCtr.submit(), method:'POST'}
  		<div class="form-group row">
    		<label class="col-md-9 col-form-label">Fitur ini berfungsi untuk melakukan integrasi Data Penyedia dari Aplikasi SPSE ke aplikasi SIKaP</label>
    		<div class="col-md-3">
    			<p class="form-control-static"></p>
    		</div>
  		</div>

        <div class="form-group row">
	        <div class="col-md-12">
		        <div class="bs-callout bs-callout-info">
			        <b>&{'kontrak.perhatian'}!</b><br/>
					&{'kontrak.data_yg_terintergrasi'}
		        </div>
	        </div>
        </div>

  		<div class="form-group row">
	    	<label class="col-md-2 col-form-label">Status Integrasi</label>
	    	<div class="col-md-10">
	    		<p class="form-control-static">
	    			#{if rekanan.belumMigrasiSikap}&{'kontrak.belum_dilakukan'}.#{/if}
	    			#{else}
	    				Sudah dikirim tanggal ${history.tanggal_kirim.formatDateTime()},
	    				#{if rekanan.sedangMigrasiSikap} &{'rekanan.belum_tarik_kembali'}#{/if}
	    				#{else} &{'rekanan.sudah_tarik_kembali'} ${history.tanggal_tarik.formatDateTime()}. #{/else}
	    			#{/else}
	    		</p>
	    	</div>
  		</div>
  		#{if !rekanan.selesaiMigrasiSikap}
	  	<div class="form-group row">
		    <div class="col-lg-offset-2 col-lg-10">
		    	#{if rekanan.belumMigrasiSikap}
					#{set 'a'}&{'rekanan.kirim_ke_sikap'}#{/set}
					#{set 'b'}&{'rekanan.confirm_blm_migrasi'}#{/set}
		    		#{button iconClass:'fa-cloud-upload', title:a, confirm:b/}
		    	#{/if}
		    	#{else}
					#{set 'a'}&{'rekanan.tarik_dari_sikap'}#{/set}
					#{set 'b'}&{'rekanan.sikap_confirm'}#{/set}
		    		#{button iconClass:'fa-cloud-download', title:a, confirm:b/}
		    	#{/else}
		    </div>
	  	</div>
	  	#{/if}
	#{/form}
	#{form @rekanan.MigrasiSikapCtr.update(), method:'POST'}
  		<div class="form-group row">
	    	<label class="col-md-2 col-form-label">Status Sinkronisasi</label>
	    	<div class="col-md-10">
	    		<p class="form-control-static">
	    			#{if !rekanan.selesaiMigrasiSikap}&{'rekanan.data_belum_terintegrasi_sikap'}#{/if}
	    			#{else}
	    				Update terakhir dilakukan tanggal ${rekanan.last_sync_vms?.formatDateTime()}.
	    			#{/else}
	    		</p>
	    	</div>
  		</div>
  		#{if rekanan.selesaiMigrasiSikap}
	  	<div class="form-group row">
	  		<div class="col-md-2">
	  		</div>
		    <div class="col-md-2">
		    	#{button cssClass:'btn btn-danger ', iconClass:'fa-refresh', title:' Sinkronisasi', confirm:'Sinkronisasi Data Penyedia Anda dari SIKaP?'/}
		    </div>
		    <div class="col-md-2">
		    	#{link newTab:'true', cssClass:'btn btn-success ', action:@rekanan.MigrasiSikapCtr.editData(), iconClass:'fa-mail-forward', title:'Ubah Data'/}
		    </div>
	  	</div>
	  	#{/if}
	#{/form }
 </div>
